
// MIXINS  
@mixin transition($speed, $easing){
    transition: all $speed $easing;
}

// VARIABLES 
$fast: 0.35s;  
$ease: ease-in-out;

.error {
    input, textarea {
        border-color: $brand-danger;
        background-color: lighten( $brand-danger, 35% ); 
    }

    input {
        &[type="checkbox"] + label {
            &:before {
                border-color: $brand-danger;
                background-color: lighten( $brand-danger, 35% ); 
            }
        }
    }

    span {        
        font-size: 14px;
        color: $brand-danger;
        &:before {
            position: relative; 
            top: -1px;
            font-family: 'Font Awesome 5 Free';
            font-weight: 900;
            content: "\f071";
            margin-right: 5px;
        }
    }
}
  
// TYPOGRAPHY
h4 {
    color: $gray-dark;
    margin-bottom: $site-gutter * 0.75;
}
  
// FORM
form {
    margin-bottom: $site-gutter * 2.5;

    > div {
        @include clearfix;
    }
}

input, textarea {
    width: 100%;
    padding: 1em;
    line-height: 1.4;
    background-color: $gray-light;
    border: 1px solid $gray;
    @include transition($fast, $ease);
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    
    &:focus {
        outline: 0;
        border-color: $brand-primary;
        
        & + .input-icon {
            i {
                color: $brand-primary;
            }
            &:after {
                border-right-color: $brand-primary;
            }
      }
    }

    &[type="checkbox"] {
        display: none;
  
        & + label {
            display: inline-block;
            padding: 0.24em 0.48em;
            color: $white;
            line-height: 1.4;
            text-align: center;
            text-transform: uppercase;
            float: left;
            @include transition($fast, $ease);
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            box-sizing: border-box;

            &:hover {
                background-color: $brand-secondary;
                color: $white;
            }
      }

      &:checked + label {
        background-color: $brand-primary;
        color: $white;
      }
    }
}